Project/src/main/java/model/User.java
package model;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.Date;

/**
 * Userテーブルのデータを格納するためのBeans
 *
 * @author takano
 */
public class User implements Serializable {
  private int id;
  private String loginId;
  private String name;
  private Date birthDate;
  private String password;
  private boolean isAdmin;
  private Timestamp createDate;
  private Timestamp updateDate;

  public User() {}

  // 全てのデータをセットするコンストラクタ
  public User(int id, String loginId, String name, Date birthDate, String password, boolean isAdimn,
      Timestamp createDate, Timestamp updateDate) {
    this.id = id;
    this.loginId = loginId;
    this.name = name;
    this.birthDate = birthDate;
    this.password = password;
    this.isAdmin = isAdimn;
    this.createDate = createDate;
    this.updateDate = updateDate;
  }

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public String getLoginId() {
    return loginId;
  }

  public void setLoginId(String loginId) {
    this.loginId = loginId;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Date getBirthDate() {
    return birthDate;
  }

  public void setBirthDate(Date birthDate) {
    this.birthDate = birthDate;
  }

  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }

  public boolean isAdmin() {
    return isAdmin;
  }

  public void setAdmin(boolean isAdmin) {
    this.isAdmin = isAdmin;
  }

  public Timestamp getCreateDate() {
    return createDate;
  }

  public void setCreateDate(Timestamp createDate) {
    this.createDate = createDate;
  }

  public Timestamp getUpdateDate() {
    return updateDate;
  }

  public void setUpdateDate(Timestamp updateDate) {
    this.updateDate = updateDate;
  }
}

Project/src/main/java/controller/UserAddServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import util.PasswordEncoder;

@WebServlet("/UserAddServlet")
public class UserAddServlet extends HttpServlet {
  public UserAddServlet() {
    super();
  }

  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    request.setCharacterEncoding("UTF-8");
    HttpSession session = request.getSession();
    if ((session.getAttribute("userInfo")) == null) {
      response.sendRedirect("LoginServlet");
    } else {
      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userAdd.jsp");
      dispatcher.forward(request, response);
    }
  }


  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    request.setCharacterEncoding("UTF-8");
    String loginId = request.getParameter("user-loginid");
    String password = request.getParameter("password");
    String checkPass = request.getParameter("password-confirm");
    String name = request.getParameter("user-name");
    String birth = request.getParameter("birth-date");
    int err = 0;
    
    if (loginId.equals("")) {
      err = 1;
    }
    if (!password.equals(checkPass)) {
      err = 1;
    } 
    if (name.equals("")) {
      err = 1;
    } 
    if (password.equals("") || checkPass.equals("")) {
      err = 1;
    } 
    if (birth.equals("")) {
      err = 1;
    }

    if (err == 1) {
      request.setAttribute("loginid", loginId);
      request.setAttribute("name", name);
      request.setAttribute("birth", birth);
      request.setAttribute("userAddErrMsg", "入力された内容は正しくありません");

      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userAdd.jsp");
      dispatcher.forward(request, response);
    }
    
    
      PasswordEncoder pe = new PasswordEncoder();
      String passen = pe.encordPassword(password);
      UserDao userDao = new UserDao();
      userDao.insert(loginId, name, birth, passen);
      response.sendRedirect("UserListServlet");
    }

  }

Project/src/main/java/controller/UserDeleteServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDeleteServlet
 */
@WebServlet("/UserDeleteServlet")
public class UserDeleteServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDeleteServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
      HttpSession session = request.getSession();
      
      if ((session.getAttribute("userInfo")) == null) {
        response.sendRedirect("LoginServlet");
	    } else {
          String id = request.getParameter("id");
      // 確認用：idをコンソールに出力
          System.out.println(id);
          int idint = Integer.valueOf(id).intValue();

          UserDao userDao = new UserDao();
          User user = userDao.findById(idint);
      // TODO 未実装：ユーザ情報をリクエストスコープにセットしてjspにフォワード
          request.setAttribute("user", user);
          RequestDispatcher dispatcher =
              request.getRequestDispatcher("/WEB-INF/jsp/userDelete.jsp");
          dispatcher.forward(request, response);
        }
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
      request.setCharacterEncoding("UTF-8");
      String id = request.getParameter("user-id");
      // 確認用：idをコンソールに出力
      System.out.println(id);
      int idint = Integer.valueOf(id).intValue();

      UserDao userDao = new UserDao();
      userDao.delete(idint);
      response.sendRedirect("UserListServlet");
	}

}

Project/src/main/java/controller/UserDetailServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/** Servlet implementation class UserDetailServlet */
@WebServlet("/UserDetailServlet")
public class UserDetailServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /** @see HttpServlet#HttpServlet() */
  public UserDetailServlet() {
    super();
  }

  /** @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response) */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    HttpSession session = request.getSession();
    if ((session.getAttribute("userInfo")) == null) {
      response.sendRedirect("LoginServlet");
    } else {
      request.setCharacterEncoding("UTF-8");
      String id = request.getParameter("id");

    // 確認用：idをコンソールに出力
      System.out.println(id);

      int idint = Integer.valueOf(id).intValue();
    // TODO 未実装：idを引数にして、idに紐づくユーザ情報を出力する
      UserDao userDao = new UserDao();
      User user = userDao.findById(idint);
    // TODO 未実装：ユーザ情報をリクエストスコープにセットしてjspにフォワード
      request.setAttribute("user", user);
      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDetail.jsp");
      dispatcher.forward(request, response);
  }

  // URLからGETパラメータとしてIDを受け取る

  }
}

Project/src/main/java/controller/UserListServlet.java
package controller;

import java.io.IOException;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/** Servlet implementation class UserListServlet */
@WebServlet("/UserListServlet")
public class UserListServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;
  final private static String URL = "jdbc:mysql://localhost/";
  final private static String DB_NAME = "usermanagement";
  final private static String USER = "root";
  final private static String PASS = "password";

  /** @see HttpServlet#HttpServlet() */
  public UserListServlet() {
    super();
  }

  /** @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response) */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    // TODO 未実装：ログインセッションがない場合、ログイン画面にリダイレクトさせる
    HttpSession session = request.getSession();
    if ((session.getAttribute("userInfo")) == null) {
      response.sendRedirect("LoginServlet");
    } else {
      // ユーザ一覧情報を取得
      UserDao userDao = new UserDao();
      List<User> userList = userDao.findAll();

    // リクエストスコープにユーザ一覧情報をセット
      request.setAttribute("userList", userList);

    // ユーザ一覧のjspにフォワード
      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
      dispatcher.forward(request, response);
    }
  }

  /** @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response) */
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    Connection con = null;
    Statement stmt = null;
    
    try {
      Class.forName("com.mysql.jdbc.Driver");
      con = DriverManager.getConnection(URL + DB_NAME, USER, PASS);
    
    // TODO 未実装：検索処理全般
    request.setCharacterEncoding("UTF-8");
    String loginId = request.getParameter("user-loginid");
    String name = request.getParameter("user-name");
    String sdate = request.getParameter("date-start");
    String edate = request.getParameter("date-end");
    
    UserDao userDao = new UserDao();
    List<User> userList = userDao.search(loginId, name, sdate, edate);

    request.setAttribute("loginId", loginId);
    request.setAttribute("name", name);
    request.setAttribute("sdate", sdate);
    request.setAttribute("edate", edate);

      request.setAttribute("userList", userList);

      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
      dispatcher.forward(request, response);
    } catch (SQLException | ClassNotFoundException e) {
      e.printStackTrace();
    } finally {
      try {
        if (stmt != null) {
          stmt.close();
        }
        if (con != null) {
          con.close();
        }
      } catch (SQLException e) {
        e.printStackTrace();
      }
    }
  }
}

Project/src/main/java/controller/UserUpdateServlet.java
package controller;

import java.io.IOException;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;
import util.PasswordEncoder;

/**
 * Servlet implementation class UserUpdate
 */
@WebServlet("/UserUpdateServlet")
public class UserUpdateServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserUpdateServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
        HttpSession session = request.getSession();
        if ((session.getAttribute("userInfo")) == null) {
          response.sendRedirect("LoginServlet");
        } else {
          String id = request.getParameter("id");
        // 確認用：idをコンソールに出力
          System.out.println(id);
          int idint = Integer.valueOf(id).intValue();

          UserDao userDao = new UserDao();
          User user = userDao.findById(idint);
        // TODO 未実装：ユーザ情報をリクエストスコープにセットしてjspにフォワード
          request.setAttribute("user", user);
          RequestDispatcher dispatcher =
              request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
          dispatcher.forward(request, response);
        }

      }

      /**
       * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
       */
      protected void doPost(HttpServletRequest request, HttpServletResponse response)
          throws ServletException, IOException {
        request.setCharacterEncoding("UTF-8");
        String id = request.getParameter("user-id");
        // 確認用：idをコンソールに出力
        System.out.println(id);
        int idint = Integer.valueOf(id).intValue();

        UserDao userDao = new UserDao();
        User user = userDao.findById(idint);
        request.setAttribute("user", user);

        String loginId = request.getParameter("login-id");
        String password = request.getParameter("password");
        String checkPass = request.getParameter("password-confirm");
        String name = request.getParameter("user-name");
        String birth = request.getParameter("birth-date");
        int err = 0;

        if (!password.equals(checkPass)) {
          err = 1;
        }
        if (name.equals("")) {
          err = 1;
        }
        if (birth.equals("")) {
          err = 1;
        }
        if (err == 1) {
          request.setAttribute("loginid", loginId);
          request.setAttribute("id", id);
          request.setAttribute("name", name);
          request.setAttribute("birth", birth);

          request.setAttribute("upErrMsg", "入力された内容は正しくありません");

          RequestDispatcher dispatcher =
              request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
          dispatcher.forward(request, response);
        } else {
          PasswordEncoder pe = new PasswordEncoder();
          String passen = pe.encordPassword(password);
          userDao.update(idint, passen, name, birth);
          userDao = new UserDao();
          List<User> userList = userDao.findAll();
        // リクエストスコープにユーザ一覧情報をセット
          request.setAttribute("userList", userList);
        // ユーザ一覧のjspにフォワード
          RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
          dispatcher.forward(request, response);
      }
	}

}

Project/src/main/webapp/WEB-INF/jsp/userAdd.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ新規登録画面</title>
<!-- BootstrapのCSS読み込み -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">

</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.name}さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger"
					href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container-fluid">
		<div class="row mb-3">
			<div class="col">
				<h1 class="text-center">ユーザ新規登録</h1>
			</div>
		</div>

		<div class="row">
		<c:if test="${userAddErrMsg != null}">
			<div class="col-6 offset-3 mb-5">
				<div class="alert alert-danger" role="alert">${userAddErrMsg}</div>
			</div>
		</c:if>
		</div>

		<div class="row">
			<div class="col-6 offset-3">
				<form action="UserAddServlet" method="POST">
					<div class="form-group row">
						<label for="user-id" class="control-label col-3">ログインID</label>
						<div class="col-9">
						<c:if test="${loginid != null}">
							<input type="text" name="user-loginid" id="user-loginid"
								class="form-control" value="${loginid}">
						</c:if>
						<c:if test="${loginid == null}">
							<input type="text" name="user-loginid" id="user-loginid"
								class="form-control" value="">
						</c:if>
						</div>
					</div>
					<div class="form-group row">
						<label for="password" class="control-label col-3">パスワード</label>
						<div class="col-9">
							<input type="password" name="password" id="password"
								class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="password-confirm" class="control-label col-3">パスワード(確認)</label>
						<div class="col-9">
							<input type="password" name="password-confirm"
								id="password-confirm" class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="user-name" class="control-label col-3">ユーザ名</label>
						<div class="col-9">
						<c:if test="${name != null}">
							<input type="text" name="user-name" id="user-name"
								class="form-control" value="${name}">
						</c:if>
						<c:if test="${name == null}">
							<input type="text" name="user-name" id="user-name"
								class="form-control" value="">
						</c:if>
						</div>
					</div>
					<div class="form-group row">
						<label for="continent" class="control-label col-3">生年月日</label>

						<div class="col-9">
						<c:if test="${birth != null}">
							<input type="date" name="birth-date" id="birth-day"
								class="form-control" size="30" value="${birth}">
						</c:if>
						<c:if test="${birth == null}">
							<input type="date" name="birth-date" id="birth-day"
								class="form-control" size="30" value="">
						</c:if>
						</div>
					</div>

					<div>
						<button type="submit" value="登録"
							class="btn btn-primary btn-block form-submit">登録</button>
					</div>
				</form>
					<div class="row mt-3">
						<div class="col">
							<a href="UserListServlet">戻る</a>
						</div>
					</div>
			</div>
		</div>
	</div>




</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/userDelete.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html lang="ja">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>ユーザ削除画面</title>
	<!-- BootstrapのCSS読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

</head>

<body>

	<!-- header -->
	<header>
		<nav class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.name}さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger" href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<div class="row mb-5 mt-3">
					<div class="col">
						<h1 class="text-center">ユーザ削除確認</h1>
					</div>
				</div>
				<div class="row">
					<div class="col">
						<p>ログインID： ${user.loginId}</p>
						<p>を本当に削除してよろしいでしょうか？</p>
					</div>
				</div>
				<div class="row">
					<div class="col">
						<a href="UserListServlet" class="btn btn-light btn-block">いいえ</a>
					</div>
					<form action="UserDeleteServlet" method="POST">
					<div class="col">
						<input type="hidden" name="user-id" value="${user.id}">
						<input class="btn btn-primary btn-block" type="submit" value="はい">
					</div>
					</form>
				</div>
			</div>
		</div>
	</div>

</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/userList.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<!DOCTYPE html>
<html lang="ja">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>ユーザ一覧画面</title>
	<!-- BootstrapのCSS読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<!-- オリジナルCSS読み込み -->
	<link href="css/original/common.css" rel="stylesheet">
</head>

<body>

	<!-- header -->
	<header>
		<nav class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.name}さん</span>
				</li>
					<li class="nav-item"><a class="nav-link text-danger" href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<div class="container">
		<div class="row">
			<div class="col">
				<h1 class="text-center">ユーザ一覧</h1>
			</div>
		</div>
		
		<div class="row">
			<c:if test="${passErrMsg != null}">
				<div class="col-6 offset-3 mb-5">
					<div class="alert alert-danger" role="alert">${passErrMsg}</div>
				</div>
			</c:if>				
		</div>

		<!-- 新規登録リンク -->
		<div class="row">
			<div class="col">
				<p class="text-right">
					<a href="UserAddServlet">新規登録</a>
				</p>
			</div>
		</div>


		<!-- 検索ボックス -->
		
		<div class="row">
			<div class="col">

				<div class="card">
					<div class="card-body">
						<form  method="POST" action="UserListServlet">
						<div class="form-group row">
							<label for="loginId" class="col-2 col-form-label">ログインID</label>
							<div class="col-10">
								<input type="text" name="user-loginid" class="form-control" id="loginId" value="${loginId}">
							</div>
						</div>

						<div class="form-group row">
							<label for="userName" class="col-2 col-form-label">ユーザ名</label>
							<div class="col-10">
								<input type="text" name="user-name" class="form-control" id="userName" value="${name}">
							</div>
						</div>

						<div class="form-group row">
							<label for="birthDate" class="col-2 col-form-label">生年月日</label>
							<div class="col-10">
								<div class="row">
									<div class="col-5">
										<input type="date" name="date-start" id="startBirthDate" class="form-control"
											value="${sdate}">
									</div>
									<div class="col-2 text-center">~</div>
									<div class="col-5">
										<input type="date" name="date-end" id="endBirthDate" class="form-control"
											value="${edate}">
									</div>
								</div>
							</div>
						</div>
						<div class="text-right">
							<button type="submit" class="btn btn-primary form-submit">検索</button>
						</div>
						</form>
					</div>
				</div>
			</div>
		</div>

		<!-- 検索結果一覧 -->
		<div class="row mt-3">
			<div class="col">
				<table class="table table-striped">
					<thead class="thead-dark">
						<tr>
							<th>ログインID</th>
							<th>ユーザ名</th>
							<th>生年月日</th>
							<th></th>
						</tr>
					</thead>
					<tbody>
						<c:forEach var="user" items="${userList}">
						<tr>
							<td>${user.loginId}</td>
							<td>${user.name}</td>
							<td><fmt:formatDate value="${user.birthDate}"
									pattern="yyyy年MM月dd日" /></td>
							<td class="float-right"><a class="btn btn-primary"
								href="UserDetailServlet?id=${user.id}">詳細</a> 
								
								<c:choose> 
									<c:when test="${user.id == userInfo.id}">
								<a class="btn btn-success" href="UserUpdateServlet?id=${user.id}">更新</a>
									</c:when>
									<c:when test="${userInfo.admin}">
								<a class="btn btn-success" href="UserUpdateServlet?id=${user.id}">更新</a>
									</c:when>
								</c:choose>
								<c:if test="${userInfo.admin}">
									<a class="btn btn-danger"
										href="UserDeleteServlet?id=${user.id}">削除</a>
								</c:if></td>
							
						</c:forEach>
						
					</tbody>
				</table>

			</div>
		</div>
	</div>

</body>

</html>